Autofill doesn't work with Netlify sites. What changes do they need to make?

I've noticed that autofill is not working for all sites that leverage the Netlify-Identity-Widget (https://github.com/netlify/netlify-identity-widget).

For an example, see https://smartscalesync.com.

What changes need to be made so that it works?


1Password Version: 7.2.4
Extension Version: 4.7.3.90
OS Version: OSX
Sync Type: Not Provided
Referrer: forum-search:Autofill doesn't work for sites with Netlify widget

Comments

  • Hi @stickney84,

    I don't know for certain but I suspect the issue is the iframe used for the widget has the source set as src="about:blank" and the extension requires a proper URL. I'm not sure how to easily test that theory though given the point of an iframe is to load an external page.

  • thanks @littlebobbytables

    Do you know if there is a developer guide (or documentation) for 1Password compatibility?

  • Hi @stickney84,

    I thought we had a page somewhere but I can't locate it at the moment. Mostly it just talked about keeping things simple, use forms and sensible naming. Nothing that would help with this particular issue I'm afraid as I don't think I've seen something like this before. We do have the browser inject the extension into each frame but there are certain rules in place and the odd source parameter makes me think the extension isn't present to know there is anything to see.

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file